Winspool.JOB_INFO_1 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winspool, class: JOB_INFO_1

Package com.sun.jna.platform.win32

# Class Winspool.JOB_INFO_1

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winspool.JOB_INFO_1

Enclosing interface:
  Winspool

@FieldOrder({"JobId","pPrinterName","pMachineName","pUserName","pDocument","pDatatype","pStatus","Status","Priority","Position","TotalPages","PagesPrinted","Submitted"}) public static class Winspool.JOB_INFO_1 extends Structure
The JOB_INFO_1 structure specifies print-job information such as the job-identifier value, the name of the printer for which the job is spooled, the name of the machine that created the print job, the name of the user that owns the print job, and so on.

See Also:
  - JOB_INFO_1 structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `JobId`
  A job identifier.
  `int`
  `PagesPrinted`
  The number of pages that have printed.
  `String`
  `pDatatype`
  A pointer to a null-terminated string that specifies the type of data used to record the print job.
  `String`
  `pDocument`
  A pointer to a null-terminated string that specifies the name of the print job (for example, "MS-WORD: Review.doc").
  `String`
  `pMachineName`
  A pointer to a null-terminated string that specifies the name of the machine that created the print job.
  `int`
  `Position`
  The job's position in the print queue.
  `String`
  `pPrinterName`
  A pointer to a null-terminated string that specifies the name of the printer for which the job is spooled.
  `int`
  `Priority`
  The job priority.
  `String`
  `pStatus`
  A pointer to a null-terminated string that specifies the status of the print job.
  `String`
  `pUserName`
  A pointer to a null-terminated string that specifies the name of the user that owns the print job.
  `int`
  `Status`
  The job status.
  `WinBase.SYSTEMTIME`
  `Submitted`
  A SYSTEMTIME structure that specifies the time that this document was spooled.
  `int`
  `TotalPages`
  The total number of pages that the document contains.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JOB_INFO_1()`
  `JOB_INFO_1(int size)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### JobId

    public int JobId
    A job identifier.

  - ### pPrinterName

    public String pPrinterName
    A pointer to a null-terminated string that specifies the name of the printer for which the job is spooled.

  - ### pMachineName

    public String pMachineName
    A pointer to a null-terminated string that specifies the name of the machine that created the print job.

  - ### pUserName

    public String pUserName
    A pointer to a null-terminated string that specifies the name of the user that owns the print job.

  - ### pDocument

    public String pDocument
    A pointer to a null-terminated string that specifies the name of the print job (for example, "MS-WORD: Review.doc").

  - ### pDatatype

    public String pDatatype
    A pointer to a null-terminated string that specifies the type of data used to record the print job.

  - ### pStatus

    public String pStatus
    A pointer to a null-terminated string that specifies the status of the print job. This member should be checked prior to Status and, if pStatus is NULL, the status is defined by the contents of the Status member.

  - ### Status

    public int Status
    The job status. The value of this member can be zero or a combination of one or more of the following values. A value of zero indicates that the print queue was paused after the document finished spooling.

  - ### Priority

    public int Priority
    The job priority. This member can be one of the following values or in the range between 1 through 99 (MIN_PRIORITY through MAX_PRIORITY).

  - ### Position

    public int Position
    The job's position in the print queue.

  - ### TotalPages

    public int TotalPages
    The total number of pages that the document contains. This value may be zero if the print job does not contain page delimiting information.

  - ### PagesPrinted

    public int PagesPrinted
    The number of pages that have printed. This value may be zero if the print job does not contain page delimiting information.

  - ### Submitted

    public WinBase.SYSTEMTIME Submitted
    A SYSTEMTIME structure that specifies the time that this document was spooled.

    This time value is in Universal Time Coordinate (UTC) format. You should convert it to a local time value before displaying it. You can use the FileTimeToLocalFileTime function to perform the conversion.

- ## Constructor Details

  - ### JOB_INFO_1

    public JOB_INFO_1()

  - ### JOB_INFO_1

    public JOB_INFO_1(int size)